Bug 835293 - (CVE-2012-3356, CVE-2012-3357) CVE-2012-3356 CVE-2012-3357 viewvc: two security flaws fixed in 1.1.15
CVE-2012-3356 CVE-2012-3357 viewvc: two security flaws fixed in 1.1.15
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120622,repor...
: Security
Depends On: 835295 835296
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 17:12 EDT by Vincent Danen
Modified: 2013-04-10 14:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 14:55:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Vincent Danen 2012-06-25 17:15:44 EDT
As per:

http://www.openwall.com/lists/oss-security/2012/06/25/8

> * security fix: complete authz support for remote SVN views (issue #353)                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                
Please use CVE-2012-3356 for this issue                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                
> * security fix: log msg leak in SVN revision view with unreadable copy source                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                
Please use CVE-2012-3357 for this issue
Comment 2 Vincent Danen 2012-06-25 17:16:40 EDT
Created viewvc tracking bugs for this issue

Affects: epel-all [bug 835295]
Affects: fedora-all [bug 835296]
Comment 3 Fedora Update System 2012-07-11 19:58:01 EDT
viewvc-1.1.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-11 19:58:22 EDT
viewvc-1.1.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-12 18:31:33 EDT
viewvc-1.1.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-12 18:32:43 EDT
viewvc-1.1.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.